import controlP5.*;

Table girls;
Table boys;

ControlP5 cp5;
Textfield txt;
RadioButton rad;

void setup()
{
  size( 800, 600 );
  cp5 = new ControlP5( this );
  txt = cp5.addTextfield( "Name" )
    .setPosition( 10, 10 )
    .setSize( 150, 20 )
    .setAutoClear( false );
  rad = cp5.addRadioButton( "Sex" )
    .setPosition( 200, 10 )
    .setSize( 20, 20 )
    .setItemsPerRow( 2 )
    .setSpacingColumn( 40 )
    .addItem( "Boys", 1 )
    .addItem( "Girls", 2 )
    .activate( 0 );
    
  background( 80 );
  
  girls = new Table();
  boys = new Table();
  
  for( int idx = 0; idx < 41; ++idx ) {
    girls.addColumn();
    boys.addColumn();
  }
  
  String[] lines = loadStrings( "Babies.txt" );
  for( int idx = 0; idx < lines.length; ++idx ) {
    String[] toks = splitTokens( lines[idx] );
    TableRow grow = girls.addRow();
    TableRow brow = boys.addRow();
    grow.setString( 0, toks[0] );
    brow.setString( 0, toks[0] );
    
    for( int jdx = 0; jdx < 40; ++jdx ) {
      brow.setString( jdx + 1, toks[3*jdx+2] );
      grow.setString( jdx + 1, toks[3*jdx+3] );
    }
  }
}

void draw()
{}

void controlEvent( ControlEvent ce )
{
  if( frameCount > 0 ) {
    // Clear the screen
    // Draw the legend of the graph (the numeric labels and any
  // lines you want to include)

    String name = txt.getText();
    int val = int( rad.getValue() );
    
    if( name.length() > 0 ) {
    // There's a legitimate name to look up.  Right here, insert
    // code that plots a graph based on the given name and sex.
      if( val == 1 ) {
      // Plot a graph assuming the name is a boy's name.
      } else {
      // Plot a graph assuming the name is a girl's name.
      }
    } 
  }
}

